/// <reference types="react" />
import type { InputCellSize, TableColumnSortOrder } from './Table.types';
export declare const StyledTableHeaderCellSortableContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTableHeaderCellLabel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledCheckbox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../Checkbox").CheckboxProps & import("react").RefAttributes<HTMLInputElement>>, any, {}, never>;
export declare const StyledTableBodyCell: import("styled-components").StyledComponent<"td", any, {
    $snugfit: boolean;
}, never>;
export declare const StyledTableHeaderCell: import("styled-components").StyledComponent<"th", any, {
    $sortable: boolean;
    $snugfit: boolean;
    $sortOrder?: TableColumnSortOrder | undefined;
}, never>;
export declare const StyledTableHeaderCellIconWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTableHeaderCellSortIconAsc: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {}, never>;
export declare const StyledTableHeaderCellSortIconDesc: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {}, never>;
export declare const StyledHead: import("styled-components").StyledComponent<"thead", any, {}, never>;
export declare const StyledCaratWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledCarat: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {
    $expanded: boolean;
}, never>;
export declare const StyledTableCellSelect: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../Select").SelectProps & import("react").RefAttributes<HTMLDivElement>> & {
    Button: import("react").ForwardRefExoticComponent<import("../Select").SelectButtonProps & import("react").RefAttributes<HTMLDivElement>>;
    Option: import("react").ForwardRefExoticComponent<import("../Select").SelectOptionProps & import("react").RefAttributes<HTMLDivElement>>;
    OptGroup: import("react").ForwardRefExoticComponent<import("../_utils/types").Props & import("react").RefAttributes<HTMLDivElement>>;
}, any, {
    $hasClearIcon: boolean;
    $placeholder: boolean;
}, never>;
export declare const StyledTableCellInput: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").InputAttributes & import("../Input").InputProps & import("react").RefAttributes<HTMLInputElement>>, any, {}, never>;
export declare const StyledTableCellDateInput: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../DateSelect").DateSelectProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledTableCellTextArea: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").TextAreaAttributes & import("../TextArea").TextAreaProps & import("react").RefAttributes<HTMLTextAreaElement>>, any, {
    $resizable: boolean;
}, never>;
export declare const StyledTableCellText: import("styled-components").StyledComponent<"div", any, {
    $percent?: boolean | undefined;
    $currency?: boolean | undefined;
}, never>;
export declare const StyledIconCell: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSelectCellWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTableInlineEditErrorBox: import("styled-components").StyledComponent<"div", any, {
    $size?: InputCellSize | undefined;
}, never>;
interface StyledTableInlineEditContainerProps {
    $disabled?: boolean;
    $error?: boolean;
    $size: InputCellSize;
}
export declare const StyledTableInlineEditContainer: import("styled-components").StyledComponent<"div", any, StyledTableInlineEditContainerProps, never>;
export declare const StyledTableBodyRow: import("styled-components").StyledComponent<"tr", any, {
    $overdue: boolean;
}, never>;
export declare const StyledTableGroupRowContent: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTableGroupRowHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTableGroupRowTitle: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledTableGroupRow: import("styled-components").StyledComponent<"tr", any, {
    $depth?: number | boolean | undefined;
}, never>;
export declare const StyledTableWrapper: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").DivAttributes & import("../Card").CardProps & import("react").RefAttributes<HTMLDivElement>>, any, {
    $withShelf: boolean;
}, never>;
export declare const StyledTable: import("styled-components").StyledComponent<"table", any, {
    $inline?: boolean | undefined;
    $fixed: boolean;
}, never>;
export declare const StyledLoadingContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export {};
